| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDocumentAttributeIterator Struct Reference
[Utilities]

An iterator over iDocumentNode attributes. More...

`#include <iutil/document.h>`

Inheritance diagram for iDocumentAttributeIterator:

[legend]
List of all members.

## Public Member Functions
virtual bool | HasNext ()=0
| Are there more elements?
virtual csRef< iDocumentAttribute > | Next ()=0
| Get next element.

## Detailed Description

An iterator over iDocumentNode attributes.

Main creators of instances implementing this interface:

- iDocumentNode::GetAttributes()

Definition at line 75 of file document.h.

## Member Function Documentation

virtual bool iDocumentAttributeIterator::HasNext | ( |  | ) | `[pure virtual]`

Are there more elements?

Implemented in csEmptyDocumentAttributeIterator.

virtual csRef<iDocumentAttribute> iDocumentAttributeIterator::Next | ( |  | ) | `[pure virtual]`

Get next element.

Implemented in csEmptyDocumentAttributeIterator.

The documentation for this struct was generated from the following file:

- iutil/document.h